Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.extensions
Interface WLConnection

All Known Implementing Classes:
  Connection

public interface WLConnection

Contains methods to interact with the Statement Cache

Method Summary
`void` | `clearCallableStatement(java.lang.String sql)` Clear a callable statement from the Statement Cache
`void` | `clearCallableStatement(java.lang.String sql, int resType, int resConcurrency)` Clear a callable statement from the Statement Cache
`void` | `clearPreparedStatement(java.lang.String sql)` Clear a prepared statement from the Statement Cache
`void` | `clearPreparedStatement(java.lang.String sql, int resType, int resConcurrency)` Clear a prepared statement from the Statement Cache
`void` | `clearStatementCache()` Clears the statement cache.
`java.lang.String` | `getPoolName()` Returns the name of the connection pool to which this connection belongs to.
`java.sql.Connection` | `getVendorConnection()` Returns the underlying physical connection (the vendor connection) from a database connection in a JDBC connection pool (a logical connection).

Method Detail

### clearStatementCache

    public void clearStatementCache()
                             throws java.sql.SQLException

  Clears the statement cache.

  Throws:
    java.sql.SQLException - - if a database access error occurs

### getVendorConnection

    public java.sql.Connection getVendorConnection()
                                            throws java.sql.SQLException

  Returns the underlying physical connection (the vendor connection) from a database connection in a JDBC connection pool (a logical connection).

  Returns:
    java.sql.Connection
  Throws:
    java.sql.SQLException - - if a database access error occurs

### clearCallableStatement

    public void clearCallableStatement(java.lang.String sql)
                                throws java.sql.SQLException

  Clear a callable statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' parameter placeholders. Typically this statement is a JDBC function call escape string.
  Throws:
    java.sql.SQLException - - if a database access error occurs

### clearCallableStatement

    public void clearCallableStatement(java.lang.String sql,
                                       int resType,
                                       int resConcurrency)
                                throws java.sql.SQLException

  Clear a callable statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' parameter placeholders. Typically this statement is a JDBC function call escape string.
    `resSetType` - - a result set type; one of ResultSet.TYPE_FORWARD_ONLY, ResultSet.TYPE_SCROLL_INSENSITIVE, or ResultSet.TYPE_SCROLL_SENSITIVE
    `resSetConcurrency` - - a concurrency type; one of ResultSet.CONCUR_READ_ONLY or ResultSet.CONCUR_UPDATABLE
  Throws:
    java.sql.SQLException - - if a database access error occurs

### clearPreparedStatement

    public void clearPreparedStatement(java.lang.String sql)
                                throws java.sql.SQLException

  Clear a prepared statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' IN parameter placeholders
  Throws:
    java.sql.SQLException - - if a database access error occurs

### clearPreparedStatement

    public void clearPreparedStatement(java.lang.String sql,
                                       int resType,
                                       int resConcurrency)
                                throws java.sql.SQLException

  Clear a prepared statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' IN parameter placeholders
    `resSetType` - - a result set type; one of ResultSet.TYPE_FORWARD_ONLY, ResultSet.TYPE_SCROLL_INSENSITIVE, or ResultSet.TYPE_SCROLL_SENSITIVE
    `resSetConcurrency` - - a concurrency type; one of ResultSet.CONCUR_READ_ONLY or ResultSet.CONCUR_UPDATABLE
  Throws:
    java.sql.SQLException - - if a database access error occurs

### getPoolName

    public java.lang.String getPoolName()

  Returns the name of the connection pool to which this connection belongs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference